//
//  JPViewController.h
//  Portfolio: GitHub Jobs
//
//  Created by Julius Parishy on 5/2/12.
//  Copyright (c) 2012 DiDev Studios. All rights reserved.
//

#import <UIKit/UIKit.h>

@class GHJobListing;

@interface GHJobBoardViewController : UIViewController
{
    BOOL searchIsActive;
    
    CGRect originalJobGridScrollViewFrame;
}

@property (nonatomic, strong) IBOutlet UIScrollView* jobGridScrollView;
@property (nonatomic, strong) IBOutlet UITextField* searchTextField;

@property (nonatomic, strong) IBOutlet UIImageView* octocatImageView;

@property (nonatomic, strong) NSMutableArray* jobListings;

-(void)showJobListingDetails:(GHJobListing*)listing;

-(IBAction)toggleSearchView:(UIButton*)sender;

-(IBAction)showSearchView:(UIButton*)sender;
-(IBAction)hideSearchView:(UIButton*)sender;

@end
